## org.eclipse.datatools.sqltools.plan
Class PlanService

    java.lang.Object
      org.eclipse.datatools.sqltools.plan.PlanService

All Implemented Interfaces:
  IPlanService

    public class PlanService

extends java.lang.Object
implements IPlanService

Author:
  Hui Cao

Constructor Summary
`PlanService()`

Method Summary
`PlanSupportRunnable` `createPlanSupportRunnable(PlanRequest request, java.lang.String profileName, java.lang.String dbName)` Return a PlanSupportRunnable which knows how to retrieve query plan for the database.
`IPlanDrawer` `getPlanDrawer()` Returns the plan drawer.
`IPlanOption` `getPlanOption()` Return a IPlanOption object which defines the query plan options supported by the database.
`IPlanParser` `getPlanParser()` Returns the plan parser.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanService

    public PlanService()

Method Detail

### createPlanSupportRunnable

    public PlanSupportRunnable createPlanSupportRunnable(PlanRequest request,
                                                         java.lang.String profileName,
                                                         java.lang.String dbName)

  Description copied from interface: `IPlanService`
  Return a PlanSupportRunnable which knows how to retrieve query plan for the database.

  Specified by:
    `createPlanSupportRunnable` in interface `IPlanService`
  Returns:

### getPlanDrawer

    public IPlanDrawer getPlanDrawer()

  Description copied from interface: `IPlanService`
  Returns the plan drawer. The plan drawer is responsible for drawing the `IExecutionPlanDocument` obtained from `IPlanParser` on canvas.

  Specified by:
    `getPlanDrawer` in interface `IPlanService`
  Returns:
    the plan drawer

### getPlanOption

    public IPlanOption getPlanOption()

  Description copied from interface: `IPlanService`
  Return a IPlanOption object which defines the query plan options supported by the database.

  Specified by:
    `getPlanOption` in interface `IPlanService`
  Returns:

### getPlanParser

    public IPlanParser getPlanParser()

  Description copied from interface: `IPlanService`
  Returns the plan parser. For one type of database, only one parser is supported.

  Specified by:
    `getPlanParser` in interface `IPlanService`
  Returns:
    the parser